@use "sass:map";
@use "../abstracts/colors";
@use "../abstracts/mixins";
@use "../abstracts/variables";

.button-area {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin: 1rem 0;
    gap: 2rem;

    @include mixins.respond-to(medium) {
        flex-direction: column;
    }
}

.button {
    min-width: 18rem;
    padding: 1rem 1rem;
    background-color: map.get(colors.$colors, button);
    border: none;
    border-radius: variables.$border-radius;
    text-align: center;
    color: map.get(colors.$colors, header-text-2);

    a:focus > &,
    &:focus,
    &:hover {
        background-color: map.get(colors.$colors, button-hover);
    }

    &.disabled,
    &.disabled:hover {
        background-color: map.get(colors.$colors, button-disabled);
    }
}
